Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.sax
Class AbstractSAXSerializer

    java.lang.Object
      org.apache.cocoon.xml.sax.AbstractSAXProducer
          org.apache.cocoon.xml.sax.AbstractSAXPipe
              org.apache.cocoon.sax.util.SAXConsumerAdapter
                  org.apache.cocoon.sax.AbstractSAXSerializer

All Implemented Interfaces:
  Consumer, Finisher, PipelineComponent, SAXConsumer, SAXPipelineComponent, ContentHandler, LexicalHandler

Direct Known Subclasses:
  FopSerializer, ServletServiceSerializer, XMLSerializer

    public abstract class AbstractSAXSerializer

extends SAXConsumerAdapter
implements SAXPipelineComponent, Finisher

Field Summary

Fields inherited from class org.apache.cocoon.xml.sax.AbstractSAXProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler`

Constructor Summary
`AbstractSAXSerializer()`

Method Summary
`protected Map<String,? extends Object>` | `getConfiguration()`
`String` | `getContentType()`
`protected Map<String,Object>` | `getInputParameters()`
`protected OutputStream` | `getOutputStream()`
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.
`void` | `setContentType(String contentType)`
`void` | `setOutputStream(OutputStream outputStream)`
`void` | `setup(Map<String,Object> inputParameters)` The shared object map for this pipeline run.
`String` | `toString()`

Methods inherited from class org.apache.cocoon.sax.util.SAXConsumerAdapter
`finish, getContentHandler`

Methods inherited from class org.apache.cocoon.xml.sax.AbstractSAXPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.sax.AbstractSAXProducer
`recycle, setContentHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish`

Methods inherited from interface org.apache.cocoon.pipeline.component.PipelineComponent
`finish`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Constructor Detail

### AbstractSAXSerializer

    public AbstractSAXSerializer()

Method Detail

### getConfiguration

    protected Map<String,? extends Object> getConfiguration()

  Returns:
    A `Map` that contains all configuration parameters.

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `Finisher`
  See Also:
    `Finisher.getContentType()`

### getInputParameters

    protected Map<String,Object> getInputParameters()

  Returns:
    A `Map` that contains all pipeline input parameters.

### getOutputStream

    protected OutputStream getOutputStream()

  Returns:
    The `OutputStream` of the pipeline.

### setConfiguration

    public void setConfiguration(Map<String,? extends Object> configuration)

  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Specified by:
    `setConfiguration` in interface `PipelineComponent`
  Overrides:
    `setConfiguration` in class `SAXConsumerAdapter`
  Parameters:
    `configuration` - The `Map` of configuration parameters.
  See Also:
    `PipelineComponent.setConfiguration(java.util.Map)`

### setContentType

    public void setContentType(String contentType)

  Parameters:
    `contentType` - The type of the content produced by this serializer.

### setup

    public void setup(Map<String,Object> inputParameters)

  The shared object map for this pipeline run.

  Specified by:
    `setup` in interface `PipelineComponent`
  Overrides:
    `setup` in class `SAXConsumerAdapter`
  Parameters:
    `inputParameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.
  See Also:
    `PipelineComponent.setup(java.util.Map)`

### setOutputStream

    public void setOutputStream(OutputStream outputStream)

  Specified by:
    `setOutputStream` in interface `Finisher`
  See Also:
    `Finisher.setOutputStream(java.io.OutputStream)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.